Subject: Re: [Softwires] Keeping support of CE IPv4 prefixes in the v4/v6 address mapping?

From: Tina TSOU <[email-masked]>
Date: Thu, 03 Nov 2011 20:47:39 +0000

As far as I understood, keeping IPv4 prefix in the mapping facilitated the use of IPv4 subnets, am I interpreting it right?

Regards,
Tina

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Rémi Després
Sent: Thursday, November 03, 2011 2:23 AM
To: <[email-masked]>
Cc: Softwires WG; Ole Troan
Subject: Re: [Softwires] Keeping support of CE IPv4 prefixes in the v4/v6 address mapping?

Le 3 nov. 2011 à 10:14, <[email-masked]> <[email-masked]> a écrit :

> Hi Rémi, all,
> 
> Since there is only an excerpt of e-mails, I lost the context. 
> 
> Could you please clarify what is the issue discussed here? Thanks.

Sure.
Right or wrong, I understood that what Jacni suggested is that the v4/v6 address mapping would be able to assign full IPv4 addresses to CEs, but no longer IPv4 prefixes.

If I misunderstood, end of this subject for me.
Otherwise, I argue that keeping IPv4-prefix support isn't difficult.

Hope it clarifies.
 
Cheers,
RD

> 
> Cheers,
> Med
> 
> 
> 
>> -----Message d'origine-----
>> De : Rémi Després [mailto:[email-masked]] 
>> Envoyé : jeudi 3 novembre 2011 10:05
>> À : Jacni Qin
>> Cc : Alain Durand; Ole Troan; BOUCADAIR Mohamed OLNC/NAD/TIP; 
>> Satoru Matsushima; Softwires WG
>> Objet : Keeping support of CE IPv4 prefixes in the v4/v6 
>> address mapping?
>> 
>> 
>> Le 3 nov. 2011 à 09:50, Jacni Qin a écrit :
>>>>> if the MAP just covers "shared address with one single 
>> sharing ratio for one domain",
>>>>> the design will be greatly simplified?
>>>> Requiring ISPs to maintain IPv4 routing in their networks, 
>> just to serve the few users that need to keep IPv4 prefixes, 
>> seems to me a step backward.
>>>> 
>>>> Besides, I have serious doubts about "greatly simplified".
>>> I mean for the design of the address/port mapping 
>> algorithm, not the transport mechanism.
>> 
>> Yes, but I don't see the great simplification of the algorithm.
>> Keeping it general enough to support IPv4 prefixes is AFAIK 
>> easy. It doesn't prevent deployments where, IPv4 prefixes 
>> being not supported, fields can be at places that may be 
>> found more convenient.
>> 
>> Maybe you can be more specific on your concern.
>> 
>> Cheers,
>> RD
>> 
_______________________________________________
Softwires mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/softwires